---
title: "GET /_system/core/versions - System Upgrades · RUAL Documentation"
description: "Get list of available RUAL Core versions for upgrade"
canonical: https://docs.rual.nl/cluster/api/system-upgrades/system-core-versions-get
language: en
---

# GET /_system/core/versions

Get list of available RUAL Core versions for upgrade

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
[
  {
    "is_current": true,
    "timestamp": 1782166695813,
    "version": "v14.0.5",
    "version_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "version_name": "joe doe"
  }
]
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `core_view` | Required scope: core_view |
